summaryrefslogtreecommitdiffstats
path: root/source.local/l/db42
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/l/db42
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/l/db42')
-rwxr-xr-xsource.local/l/db42/db42.SlackBuild167
-rw-r--r--source.local/l/db42/patch.4.2.52.1.gzbin0 -> 544 bytes
-rw-r--r--source.local/l/db42/patch.4.2.52.2.gzbin0 -> 466 bytes
-rw-r--r--source.local/l/db42/patch.4.2.52.3.gzbin0 -> 1683 bytes
-rw-r--r--source.local/l/db42/patch.4.2.52.4.gzbin0 -> 427 bytes
-rw-r--r--source.local/l/db42/slack-desc19
6 files changed, 186 insertions, 0 deletions
diff --git a/source.local/l/db42/db42.SlackBuild b/source.local/l/db42/db42.SlackBuild
new file mode 100755
index 0000000..4557e0e
--- /dev/null
+++ b/source.local/l/db42/db42.SlackBuild
@@ -0,0 +1,167 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PKGNAM=db42
+VERSION=4.2.52
+BUILD=${BUILD:-3}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ CONFIGURE_ARGS=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ CONFIGURE_ARGS=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ # Needed as a workaround for:
+ # "architecture lacks fast mutexes: applications cannot be threaded"
+ CONFIGURE_ARGS="--with-mutex=x86/gcc-assembly"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+ CONFIGURE_ARGS=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ CONFIGURE_ARGS=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf db-$VERSION
+tar xjvf $CWD/db-$VERSION.tar.bz2
+cd db-$VERSION
+zcat $CWD/patch.4.2.52.1.gz | patch -p0 --verbose || exit 1
+zcat $CWD/patch.4.2.52.2.gz | patch -p0 --verbose || exit 1
+zcat $CWD/patch.4.2.52.3.gz | patch -p0 --verbose || exit 1
+zcat $CWD/patch.4.2.52.4.gz | patch -p0 --verbose || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+rm -rf build-dir
+mkdir build-dir
+cd build-dir
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+../dist/configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-shared \
+ --enable-rpc \
+ --enable-compat185 \
+ $CONFIGURE_ARGS \
+ --build=$TARGET
+make -j3
+make install DESTDIR=$PKG
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+# Remove WAY TOO LARGE (and misplaced) docs:
+rm -rf $PKG/usr/docs
+mkdir -p $PKG/usr/doc/db-$VERSION
+cp -a \
+ ../LICENSE ../README \
+ $PKG/usr/doc/db-$VERSION
+cat << EOF > $PKG/usr/doc/db-$VERSION/README-DOCS
+
+ For a ton of additional documentation (too large to include
+ here) on writing source code that uses libdb42, please see
+ the source tarball db-$VERSION.tar.bz2, which can be found
+ in the Slackware source tree in source/l/db42/, or on
+ Sleepycat's web site: http://www.sleepycat.com.
+
+EOF
+
+# Put libdb-4.2.so into /lib${LIBDIRSUFFIX} since it might be needed
+# before /usr is mounted.
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+mv $PKG/usr/lib${LIBDIRSUFFIX}/libdb-4.2.so $PKG/lib${LIBDIRSUFFIX}/libdb-4.2.so
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf /lib${LIBDIRSUFFIX}/libdb-4.2.so .
+)
+
+( cd $PKG/usr/include
+ chmod 644 *
+ mkdir db42
+ mv db.h db_185.h db_cxx.h db42
+ # Not any more... db-4.2 is on the way out.
+ #ln -sf db42/db.h .
+ #ln -sf db42/db_185.h .
+ #ln -sf db42/db_cxx.h .
+)
+
+chmod 755 $PKG/usr/bin/*
+
+( cd $PKG/usr/bin
+ mv berkeley_db_svc berkeley_db42_svc
+ for file in db_* ; do
+ mv $file db42_`echo $file | cut -f 2- -d _`
+ done
+)
+
+# Not the default DB version:
+rm -f $PKG/usr/include/{db.h,db_185.h,db_cxx.h}
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libdb-4.so
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libdb.{a,so}
+# We will not be linking statically against this, either.
+# If you need to do that, drag up an old package from the Slackware 10.2 era...
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/l/db42/patch.4.2.52.1.gz b/source.local/l/db42/patch.4.2.52.1.gz
new file mode 100644
index 0000000..0d0a379
--- /dev/null
+++ b/source.local/l/db42/patch.4.2.52.1.gz
Binary files differ
diff --git a/source.local/l/db42/patch.4.2.52.2.gz b/source.local/l/db42/patch.4.2.52.2.gz
new file mode 100644
index 0000000..84d74da
--- /dev/null
+++ b/source.local/l/db42/patch.4.2.52.2.gz
Binary files differ
diff --git a/source.local/l/db42/patch.4.2.52.3.gz b/source.local/l/db42/patch.4.2.52.3.gz
new file mode 100644
index 0000000..12cc920
--- /dev/null
+++ b/source.local/l/db42/patch.4.2.52.3.gz
Binary files differ
diff --git a/source.local/l/db42/patch.4.2.52.4.gz b/source.local/l/db42/patch.4.2.52.4.gz
new file mode 100644
index 0000000..b723f26
--- /dev/null
+++ b/source.local/l/db42/patch.4.2.52.4.gz
Binary files differ
diff --git a/source.local/l/db42/slack-desc b/source.local/l/db42/slack-desc
new file mode 100644
index 0000000..2e40e09
--- /dev/null
+++ b/source.local/l/db42/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+db42: db42 (Berkeley database library version 4.2.x)
+db42:
+db42: The Berkeley Database (Berkeley DB) library provides embedded database
+db42: support for both traditional and client/server applications.
+db42:
+db42: This package should be installed if compatibility is needed with
+db42: databases created with the Berkeley DB version 4.2.x.
+db42:
+db42:
+db42:
+db42: